Driver Linux pour modem ECI HiFocus ADSL USB
et modems avec puce Globespan

EciAdsl: Appel à test pour la version 0.11-beta1

Posté par FlashCode, 20/07/2005 13:15
eciadsl
Le driver EciAdsl avance et désormais une version 0.11-beta1 est disponible pour tests.
Nous avons besoins d'aide pour les tests de cette version, aussi merci de nous reporter rapidement tout problème avec ce paquet, qui pourrait bientôt devenir la version 0.11 !

Merci pour votre aide.

      -  Version 0.11-beta1
 [24 commentaires]
Re: Test call for version 0.11-beta1
Posté par M. Lin, 21/07/2005 19:58
Hi,

Does this test version support RFC 2364 PPPoATM NULL Encapsulation mode ?

Thank you very much.

M. Lin
Re: Test call for version 0.11-beta1
Posté par FlashCode, 22/07/2005 21:57
No. Did you try other modes?
For any problem, please use EciAdsl forum or IRC.
Re: Test call for version 0.11-beta1
Posté par Gesp, 27/07/2005 08:08
To my understanding, the answer should be yes even in older driver versions.

RFC 2364 PPPoATM NULL Encapsulation mode is the same protocol as VCM_RFC2364
Re: Test call for version 0.11-beta1
Posté par ALex, 22/07/2005 12:55
Tested it in a santis with suse 9.3 and nothing! the 2 leds are always off! help needed
Re: Test call for version 0.11-beta1
Posté par kolja, 22/07/2005 13:26
pls reports the bug on eciadsl forum posting the eciadsl-start output

thnx
Kolja
Re: Appel à test pour la version 0.11-beta1
Posté par Gratyn, 24/07/2005 23:07
It seems that the executable "ecidasl-probe-device" has serious output indentation problems.
It also freezes my Xterm (with Mandriva 2005).
Re: Test call for version 0.11-beta1
Posté par Gesp, 27/07/2005 08:56
warning

gcc -O2 -mcpu=i386 -march=i386 -pipe -fomit-frame-pointer -o eciadsl-ctrlui eciadsl-ctrlui.o util.o ecimsgh.o gsinterface.o -lpthread
if gcc -DPACKAGE_NAME=\"eciadsl-usermode\" -DPACKAGE_TARNAME=\"eciadsl-usermode\" -DPACKAGE_VERSION=\"0.11beta1\" -DPACKAGE_STRING=\"eciadsl-usermode\ 0.11beta1\" -DPACKAGE_BUGREPORT=\"eci@ml.free.fr\" -DPACKAGE=\"eciadsl-usermode\" -DVERSION=\"0.11beta1\" -DHAVE_LIBPTHREAD=1 -DHAVE_DIRENT_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_LIMITS_H=1 -DHAVE_STDINT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_SOCKET_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_SYS_SOCKET_H=1 -DSELECT_TYPE_ARG1=int -DSELECT_TYPE_ARG234=\(fd_set\ \*\) -DSELECT_TYPE_ARG5=\(struct\ timeval\ \*\) -DRETSIGTYPE=void -DLSTAT_FOLLOWS_SLASHED_SYMLINK=1 -DHAVE_ALARM=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MEMSET=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_STRCASECMP=1 -DHAVE_STRTOL=1 -DHAVE_STRTOUL=1 -DHAVE_UNAME=1 -I. -I. -DETC_DIR=\"/etc\" -DCONF_DIR=\"/etc/eciadsl\" -DDOC_DIR=\"/usr/share/doc/eciadsl\" -O2 -mcpu=i386 -march=i386 -pipe -fomit-frame-pointer -MT eciadsl-check-hdlc.o -MD -MP -MF ".deps/eciadsl-check-hdlc.Tpo" -c -o eciadsl-check-hdlc.o eciadsl-check-hdlc.c; \
then mv -f ".deps/eciadsl-check-hdlc.Tpo" ".deps/eciadsl-check-hdlc.Po"; else rm -f ".deps/eciadsl-check-hdlc.Tpo"; exit 1; fi
eciadsl-check-hdlc.c: In function `get_master_slave_ptmx':
eciadsl-check-hdlc.c:36: warning: assignment makes pointer from integer without a cast
Re: Appel à test pour la version 0.11-beta1
Posté par Gratyn, 06/08/2005 01:59
It works with "Mandriva 2005" and "D-Link DSL200 rev B" modem.
Thank you :-)
Re: Appel à test pour la version 0.11-beta1
Posté par FireCode, 06/08/2005 14:18
Ma config:

distro: MDK 2005 LE
Noyau: 2.6.11-6
modem: ECI HI-FOCUS
FAI: Wanadoo

Après 2 jours sans problème ce matin j'ai eu droit à un freeze total sans pouvoir
même stoper X. Après un reboot sauvage et une restaure des inodes,
je suis donc revenu à l'ancienne version, avec un petit problème après le
"make uninstall" le fichier de "conf" n'ayant pas été suprimé, j'ai eu droit à des
mess d'erreur du genre "... not recognized !". J'ai donc suprimé les lignes
incriminées à la mano dans les fichiers de config.

Voilà tout.
Re: Test call for version 0.11-beta1
Posté par Yohan, 06/08/2005 14:08
Works with FC4 and D_Link DSL-200 rev B1 for TPG..AU. Used gs7470_synch06.bin. Also thanks to the website http://users.tpg.com.au/johnd/dsl200.html
Re: Test call for version 0.11-beta1
Posté par Gesp, 06/08/2005 14:58
Tested to work in routed_IP mode, static IP, b-focus and synch-01.bin (with my own connection script, not tested with original scripts))
Re: Test call for version 0.11-beta1
Posté par me, 09/08/2005 05:44
Aug 8 03:27:12 hellchick usb 3-1: usbfs: USBDEVFS_CONTROL failed cmd eciadsl-synch rqt 192 rq 233 len 7 ret -110
my modem D-Link DSL-200 rev B1 is working about 4-5 hours, than i've got that error message and disconnected. any solutions ?
Re: Test call for version 0.11-beta1
Posté par pogog, 19/08/2005 01:01
I've also got a D-Link DSL-200 rev B1 (in Australia), and all I can say is... Magnifique! :) The Beta works beautifully. Version 0.10 was mostly OK for me, but for some strange (and dangerous) reason the Synch process (gs7470_synch06.bin and others) would sometimes cause my hard disk to make a dodgy "cracking" sound & then lock my system!! I was going to debug it, but thought I'd give the Beta a go, and... problem solved! Thanks...
Test for version 0.11-beta1
Posté par eexpress, 22/08/2005 10:25
i downloaded a 0.11 deb, and using in a Ubuntu linux(hoary version). it works all ok. Only 0.11 version depand on a higher libc6 package than the orginal linux based. This make me do a lot of job to made the system update to the most new version.

first i had no internet connect, so download the higher libc6 and eciadsl package. update those two. make internet conneted. then use "apt-get" to update system, but many software based on the old libc6 version. so i uninstall the eciadsl with the modem running, then restore old libc6, do all "apt" update thing. after those, reinstall libc6 and eciadsl driver. all those was done during modem running. This is not easy to do this. So i think you can first declear all those depand library before we can download or use the driver. or if can reduce the depand library version.
Re: Test call for version 0.11-beta1
Posté par tbrain, 26/08/2005 10:44
On Arch Linux 0.7 first time launch 'eciadsl-start' it fails with:
...
[EciAdsl 4/5] Connecting to provider...

Couldn't get channel number: Input/output error
Script /usr/local/bin/eciadsl-pppoeci -vpi 8 -vci 35 -vendor 0x0915 -product 0x0002 -mode VCM_RFC2364 finished (pid 3922), status = 0xf4
Terminating on signal 2
Modem hangup
Connection terminated.
ERROR: failed to connect
...

At second invocation 'eciadsl.-start' connect without problems.


Re: Test call for version 0.11-beta1
Posté par null, 28/08/2005 07:11
am using this beta driver with dsl 200 rev b modem and everything works fine ;)

good job.
Re: Appel à test pour la version 0.11-beta1
Posté par la-taupe, 29/08/2005 18:45
Bonjour,
je dispose d'un modem HI-FOCUS USB (de chez ECI TELECOM) livré par France Telecom pour une connection ADSL.
A aujourd'hui je viens de changer d'OS (passage de Win à Linux (FEDORA-core 4). Mon Linux reconnait une clé USB mais aucune réaction si je branche ce modem!
Alors sans parler de drivers à mettre à jour, ce modem est il capable de fonctionner sous linux?
Je vais demander à F.T. mais, parfois avant d'avoir un interlocuteur compétent on passe des heures au téléphone. (attention : Je ne dis pas que ce sont des incompétents (c'est sur, il y a des "gensfoutistes" partout) mais, on ne tombe pas forcémént sur les personnes qui connaissent le matériel que vend leur société)
Si quelqu'un peu m'aider dans ma recherche ou sur une piste à étudier...
Merci d'avance.
PS : Je débute en Linux alors si vous pouviez être assez explicite pour les futurs explications. Merci.
Re: Appel à test pour la version 0.11-beta1
Posté par Shadowstorm, 30/08/2005 22:58
Bonjour à toi et bienvenue sous Linux ;)

Le modem que tu possèdes et que je possède egalement ne marche pas sous linux sans driver, tout simplement parcque ECI n'a rien developpé pour cette plateforme. Heureusement le developpeur du présent site nous a créé un driver qui marche parfaitement.

Je te conseil de suivre ce tutorial (et de telecharger la version stable actuellle du logiciel soit la 0.10) : http://eciadsl.flashtux.org/tutorial.php

Voila ;) Si tu as des questions, n'hésite pas à les poser, tu trouvera toujours des réponses.

Re: Appel à test pour la version 0.11-beta1
Posté par patfrat, 06/09/2005 08:54
Je suis sous Ubuntu Breezy avec un modem eci B-Focus.
Ca fonctionne plutôt bien et merci à vous !!!!
Pour ce qui est des problèmes rencontrés, j'ai parfois ma connection qui se met toute seule en pause, puis repart, puis en pause, puis repart .... ce qui fait chuter le débit de mes téléchargements en cours et bloque l'affichage des sites webs.
Est-ce un soucis du driver ou un soucis de mon fournisseur ?
Sinon, j'avais rencontré un problème venant de ma distri qui m'empechait d'afficher eciadsl-config-tk ... je suis donc passé par eciadsl-config-txt, ouf !!! merci d'y avoir pensé ! Probleme résolu depuis.


Re: Appel à test pour la version 0.11-beta1
Posté par patfrat, 06/09/2005 09:44
je me réponds à moi même.
Après un petit eciadsl-doctor, il me dit que mon fichier /etc/ppp/options rentre en conflit avec un autre .... que je dois le renommer.
Je le renomme donc en /etc/ppp/options_backup
Je déconnecte puis reconnecte mon modem ..... Et là, wahou, à fond les manettes ma connection !!!!
Un eciadsl-doctor et c'est reparti !
Re: Appel à test pour la version 0.11-beta1
Posté par maxlinux, 08/09/2005 09:07
Io possiedo una mandriva LE cooker e il driver funziona benissimo.
Re: Test call for version 0.11-beta1
Posté par ema85b, 13/09/2005 23:57
I have tried today new driver the beta and must say that they go decidedly better. the ynch process automatic retry on fail it goes well is connected to the first attempt without problems. ok continued cosi the plan
Re: Test call for version 0.11-beta1
Posté par gbtito, 21/09/2005 11:19
I've tried the new drivers on a Mandriva LE 2005 with a
D-LINK DSL200 rev B1; they works perfectly!
Re: Appel à test pour la version 0.11-beta1
Posté par deb, 06/11/2005 19:20
Salut,
Je fait un petit retour sur la version beta parce qu'elle fonctionne correctement avec mon modem santis 10 sur une debian sid, j'utilise le synch11.bin provenant de la Nortek 0.9 qui est adéquat pour le provider Belgacom. Pourtant, la version 0.11-1_i386 proposée en téléchargement ne fonctionne pas. Typiquement, voilà où ça coince avec cette dernière :

[EciAdsl 3/5] Synchronization...

ERROR eciadsl-synch SYNCHING: failed
ERROR eciadsl-synch: failed
Synchronization successful

[EciAdsl 4/5] Connecting to provider...

using channel 32
Using interface ppp0
Connect: ppp0 <--> /dev/pts/2
sent [LCP ConfReq id=0x1 ]
sent [LCP ConfReq id=0x1 ]
sent [LCP ConfReq id=0x1 ]
sent [LCP ConfReq id=0x1 ]
sent [LCP ConfReq id=0x1 ]
sent [LCP ConfReq id=0x1 ]

En plus, le processus "pppd call adsl updetach" ne s'arrête pas et, parfois, pas moyen de le killer pour tenter proprement un nouvel essai (par exemple, après déconnexion du modem).

J'espère que ça peut vous éclairer. Bonne suite à toute l'équipe.
Deb.